/**
 * @file   delivery.h
 * @brief  Functions specialized in delivering specific metadata.
 * @author Alejandro Álvarez Ayllón <aalvarez.cern.ch>
 */
#ifndef DELIVERY_H_
#define	DELIVERY_H_

#include "mod_lcgdm_ns.h"

dav_error *dav_ns_deliver_collection(const dav_resource *resource,
                                     ap_filter_t *output_filters,
                                     apr_bucket_brigade *bb);

dav_error *dav_ns_deliver_metalink(const dav_resource *resource,
                                   ap_filter_t *output_filters,
                                   apr_bucket_brigade *bb);


#endif	/* DELIVERY_H_ */

